function onBegin()

    setFlag("bossFadeToWhite", false)

    local waitTime = 0.75

    while waitTime > 0.05 do
        wait(waitTime)

        setFlag("noiseFlag", true)
        playSound("event:/new_content/game/10_farewell/glitch_short")
        wait(0.05 / (waitTime))
        setFlag("noiseFlag", false)

        waitTime = waitTime * 0.9
    end

    setFlag("noiseFlag", true)

    setFlag("bossFadeToWhite", true)

    wait(1.5)
end

function onEnd(room, wasSkipped)
    enableMovement()
    instantTeleportTo(5608, -2154, "OUTRO_01")
end